Subject: Re: [nwcrg] I-D Action: draft-irtf-nwcrg-network-coding-satellites-09.txt

From: Vincent Roca <[email-masked]>
Date: Tue, 18 Feb 2020 17:15:20 +0100

Dear authors, all,

I have read your document and found it almost ready.
What follows are pretty easy to address.

Then I think we should be able to continue with IRSG (to be confirmed).

Cheers,   Vincent

—————

Abstract:

- It is said:
   The objective is to
   contribute to a larger deployment of network coding techniques in
   SATCOM to complement already implemented loss recovery mechanisms.
I'm just wondering what "already implemented loss recovery mechanisms" refer to.
I know there are bit error detection/recovery mechanism, of course TCP will
recover from losses, but what do you mean here exactly?

Section 1:

- typo:
   ...retransmissions add
   significant delays because especially in geostationary system with
   over 0.7 second round-trip delays.
I think "because" should be removed.

Section 2:

- typo: "that one single gateway support." => supports

Section 3.2:

- typo: "to better utilize a satellite broadcast capabilities." => remove "a"

- Reference:
   ...more flexible sliding window encoding schemes that allow decoding
   before receiving the whole block an added delay benefit [RFC8406].
I suggest you now reference: RFC 8681
        Sliding Window Random Linear Code (RLC) Forward Erasure Correction (FEC) Schemes for FECFRAME
as it is available.

Section 3.4:

- maybe the following sentence is too strong:
   adding network coding techniques will prevent the end-to-end
   retransmission from occurring since the packet losses will be
   recovered.
I'd rather say "will reduce the need for end-to-end retransmissions since packet losses
would probably be recovered."

Section 4.1:

- Last sentence: adding a reference to the coding and CC document makes sense here.

Section 4.2:

- typo: "discussed on the previous section." => "discussed in section 3.5."

Section 4.3:

- Could you check whether this is VNF or NFV? Both are used. Please, also add
an expansion of those acronyms.

- Throughout the document:
please replace "draft" by "document" as you probably expect it not to remain in
the "draft" status forever...

----
Vincent Roca, PhD/HDR, PRIVATICS team leader, Inria research institute, France
https://privatics.inrialpes.fr/people/roca/

> Le 11 déc. 2019 à 09:27, [email-masked] a écrit :
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts directories.
> This draft is a work item of the Coding for efficient NetWork Communications Research Group RG of the IRTF.
> 
>        Title           : Network coding for satellite systems
>        Authors         : Nicolas Kuhn
>                          Emmanuel Lochin
> 	Filename        : draft-irtf-nwcrg-network-coding-satellites-09.txt
> 	Pages           : 15
> 	Date            : 2019-12-11
> 
> Abstract:
>   This document is the product of the Coding for Efficient Network
>   Communications Research Group (NWCRG).  It conforms to the directions
>   found in the NWCRG taxonomy [RFC8406].  Thus, the scope of the
>   document is network coding as a linear combination of packets in and
>   above the network layer.  Physical and MAC layer coding are beyond
>   the scope of the document.  The draft focuses on a multi-gateway
>   satellite system and identifies the use-cases where network coding
>   provides significant performance improvements.  The objective is to
>   contribute to a larger deployment of network coding techniques in
>   SATCOM to complement already implemented loss recovery mechanisms.
>   The draft also identifies open research issues related to the
>   deployment of network coding in SATCOM systems.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-irtf-nwcrg-network-coding-satellites/
> 
> There are also htmlized versions available at:
> https://tools.ietf.org/html/draft-irtf-nwcrg-network-coding-satellites-09
> https://datatracker.ietf.org/doc/html/draft-irtf-nwcrg-network-coding-satellites-09
> 
> A diff from the previous version is available at:
> https://www.ietf.org/rfcdiff?url2=draft-irtf-nwcrg-network-coding-satellites-09
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> nwcrg mailing list
> [email-masked]
> https://www.irtf.org/mailman/listinfo/nwcrg

---

From: Kuhn Nicolas <[email-masked]>
Date: Thu, 27 Feb 2020 13:11:33 +0000

Dear all,

We have just submitted an updated version of the draft that cover the comments below.
Please see inline for more details.

Cheers,

Nicolas

De : Vincent Roca <[email-masked]>
Envoyé : mardi 18 février 2020 17:15
À : Emmanuel Lochin <[email-masked]>; Kuhn Nicolas <[email-masked]>
Cc : Vincent Roca <[email-masked]>; Nwcrg <[email-masked]>
Objet : Re: [nwcrg] I-D Action: draft-irtf-nwcrg-network-coding-satellites-09.txt

Dear authors, all,

Cheers,   Vincent

—————

Abstract:

- It is said:
   The objective is to

[NK] We have reformulated as follows :
The objective is to

Section 1:

- typo:
   ...retransmissions add
[NK] Thanks

Section 2:

[NK] Thanks

Section 3.2:

[NK] Thanks

- Reference:
[NK] Done

Section 3.4:

[NK] Thanks.

Section 4.1:

[NK] Done.

Section 4.2:

[NK] Thanks.

Section 4.3:

- Could you check whether this is VNF or NFV? Both are used. Please, also add
an expansion of those acronyms.
[NK] We have clarified in the text and clarified.

[NK] Done.

----

Le 11 déc. 2019 à 09:27, [email-masked]<mailto:[email-masked]> a écrit :

Abstract:

_______________________________________________
nwcrg mailing list
[email-masked]<mailto:[email-masked]>
https://www.irtf.org/mailman/listinfo/nwcrg

Subject: New Version Notification for draft-irtf-nwcrg-network-coding-satellites-10.txt
From: "[email-masked]" <[email-masked]>
To: Emmanuel Lochin <[email-masked]>, Kuhn Nicolas <[email-masked]>
Date: Thu, 27 Feb 2020 13:07:21 +0000

A new version of I-D, draft-irtf-nwcrg-network-coding-satellites-10.txt
has been successfully submitted by Nicolas Kuhn and posted to the
IETF repository.

Name:           draft-irtf-nwcrg-network-coding-satellites
Revision:       10
Title:          Network coding for satellite systems
Document date:  2020-02-27
Group:          nwcrg
Pages:          15
URL:            https://www.ietf.org/internet-drafts/draft-irtf-nwcrg-network-coding-satellites-10.txt
Status:         https://datatracker.ietf.org/doc/draft-irtf-nwcrg-network-coding-satellites/
Htmlized:       https://tools.ietf.org/html/draft-irtf-nwcrg-network-coding-satellites-10
Htmlized:       https://datatracker.ietf.org/doc/html/draft-irtf-nwcrg-network-coding-satellites
Diff:           https://www.ietf.org/rfcdiff?url2=draft-irtf-nwcrg-network-coding-satellites-10

Abstract:

The IETF Secretariat

---

From: Vincent Roca <[email-masked]>
Date: Thu, 27 Feb 2020 14:36:54 +0100

Dear authors, all,

Thank you. With these fixes I think we can proceed with IRSG publication process.

Cheers,   Vincent and Marie-José

> Le 27 févr. 2020 à 14:11, Kuhn Nicolas <[email-masked]> a écrit :
> 
> Dear all,
>  
> De : Vincent Roca <[email-masked] <mailto:[email-masked]>> 
> À : Emmanuel Lochin <[email-masked] <mailto:[email-masked]>>; Kuhn Nicolas <[email-masked] <mailto:[email-masked]>>
> Cc : Vincent Roca <[email-masked] <mailto:[email-masked]>>; Nwcrg <[email-masked] <mailto:[email-masked]>>
> https://privatics.inrialpes.fr/people/roca/ <https://privatics.inrialpes.fr/people/roca/>
> 
> 
> Le 11 déc. 2019 à 09:27, [email-masked] <mailto:[email-masked]> a écrit :
>  
> 
> https://datatracker.ietf.org/doc/draft-irtf-nwcrg-network-coding-satellites/ <https://datatracker.ietf.org/doc/draft-irtf-nwcrg-network-coding-satellites/>
> 
> https://tools.ietf.org/html/draft-irtf-nwcrg-network-coding-satellites-09 <https://tools.ietf.org/html/draft-irtf-nwcrg-network-coding-satellites-09>
> https://datatracker.ietf.org/doc/html/draft-irtf-nwcrg-network-coding-satellites-09 <https://datatracker.ietf.org/doc/html/draft-irtf-nwcrg-network-coding-satellites-09>
> 
> https://www.ietf.org/rfcdiff?url2=draft-irtf-nwcrg-network-coding-satellites-09 <https://www.ietf.org/rfcdiff?url2=draft-irtf-nwcrg-network-coding-satellites-09>
> 
> 
> until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org/>.
> 
> ftp://ftp.ietf.org/internet-drafts/ <ftp://ftp.ietf.org/internet-drafts/>
> 
> [email-masked] <mailto:[email-masked]>
> https://www.irtf.org/mailman/listinfo/nwcrg <https://www.irtf.org/mailman/listinfo/nwcrg>
>  
> <Pièce jointe.eml>